activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From soleger <...@git.apache.org>
Subject [GitHub] activemq pull request: AMQ-6301: Changed activemq-osgi so that it ...
Date Sun, 22 May 2016 21:59:20 GMT
GitHub user soleger opened a pull request:

    https://github.com/apache/activemq/pull/187

    AMQ-6301: Changed activemq-osgi so that it embeds the spring-dm bundles

    This changes the activemq-osgi bundle so that it inline-embeds the spring-dm bundles which
have been used inside the ActiveMQServiceFactory since version 5.13.0.
    
    To write tests for this, I had to hardcode the Spring versions so that they match the
version from the particular version of Karaf that is used by Pax Exam. If somebody has a way
to fetch these versions dynamically, that would make it easier to maintain.
    
    If this could also be merged for inclusion in version 5.13.x, that would be appreciated!
Thanks.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/soleger/activemq AMQ-6301

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/activemq/pull/187.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #187
    
----
commit 91652493d7bf99345b74831ea568f0823f6d612a
Author: Seth Leger <seth@opennms.org>
Date:   2016-05-22T21:49:44Z

    AMQ-6301: Changed activemq-osgi so that it embeds the spring-dm bundles
    so that we can avoid loading the spring-dm feature which causes Spring
    version conflicts.

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message